import curses, sys
import globs

def initIO():
	global screen
	screen = curses.initscr()
	curses.noecho()
	curses.cbreak()
	screen.keypad(1)

def endIO():
	curses.nocbreak()
	screen.keypad(0)
	curses.echo()
	curses.endwin()
	sys.exit()

def drawOutput(gameState):
	currZ = gameState.hood.pos[2]

	for x in range(gameState.field.dim[0]):
		for y in range(gameState.field.dim[1]):
			screen.addch(y, x, " ")
	for wall in gameState.field.walls:
		if wall[2] == currZ: 
			screen.addch(wall[1], wall[0], "#")
	for dot in gameState.field.dots:
		if dot[2] == currZ:
			screen.addch(dot[1], dot[0], ".")
	for stairPos in gameState.field.stairs:
		stair = gameState.field.stairs[stairPos]
		if stairPos[2] == currZ:
			screen.addch(stairPos[1], stairPos[0], ">" if stair == 1 else "<")
	for wolf in gameState.wolves:
		if wolf.pos[2] == currZ:
			screen.addch(wolf.pos[1], wolf.pos[0], "B")
		else:
			screen.addch(wolf.pos[1], wolf.pos[0], "b")

	screen.addch(gameState.hood.pos[1], gameState.hood.pos[0], "@")
	screen.addstr(gameState.field.dim[1]+1,0,str(gameState.hood.pos))

	screen.refresh()

def getInput():
	c = screen.getkey()
	if c == "KEY_UP":
		return globs.KEYCODE["up"]
	elif c == "KEY_DOWN":
		return globs.KEYCODE["down"]
	elif c == "KEY_LEFT":
		return globs.KEYCODE["left"]
	elif c == "KEY_RIGHT":
		return globs.KEYCODE["right"]
	elif c == "z":
		return globs.KEYCODE["z"]
	elif c == "Q":
		endIO()
	else:
		return None
